# Fetches all external references on a user's account

Returns external references, for objects of particular types, that are synced with the
third-party systems.


This endpoint returns structured External Reference objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the external_references top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /external_references
Version: 1.0.0

## Query parameters:

  - `subject_type` (string, required)
    The type of the Kantata OX object that has the external reference. One of
Assignment, BillingMilestone, CustomField, CustomFieldChoice, CustomFieldSet, CustomFieldValue, Estimate, EstimateScenario, EstimateScenarioResource, Expense, ExpenseBudget, Invoice, Participation, Post, RateCard, Role, Skill, StatusReport, Story, StoryAllocationDay, Submission, SurveyAnswer, SurveyQuestion, SurveyResponse, SurveyTemplate, TimeEntry, TimeOffEntry, User, Vendor, Workspace, WorkspaceAllocation, WorkspaceGroup, or WorkspaceResource.

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `external_message` (string)
    Only include external references with the specified external message.

  - `external_status` (string)
    The status of the external object in the external system.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- subject (polymorphic) - The item with which the external reference is associated.

  - `last_synced_after` (string)
    Filter for records last synced after a specified datetime. The datetime must be in ISO 8601 format.

  - `last_synced_before` (string)
    Filter for records last synced before a specified datetime. The datetime must be in ISO 8601 format.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc, created_at:desc, last_synced_at:asc, and last_synced_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `service_model` (string)
    The type of the external object.

  - `service_model_ref` (string)
    The object ID of an external object.

  - `service_name` (string)
    The provider name of the integration.

  - `status` (string)
    The status of the integration. Options are 'pending', 'successful', or 'failed'.

  - `subject_id` (integer)
    The ID of the Kantata OX object that has the external reference.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `external_references` (object)

  - `assignments` (object)

  - `billing_milestones` (object)

  - `custom_fields` (object)

  - `custom_field_choices` (object)

  - `custom_field_sets` (object)

  - `custom_field_values` (object)

  - `estimates` (object)

  - `estimate_scenarios` (object)

  - `estimate_scenario_resources` (object)

  - `expenses` (object)

  - `expense_budgets` (object)

  - `invoices` (object)

  - `participations` (object)

  - `posts` (object)

  - `rate_cards` (object)

  - `roles` (object)

  - `skills` (object)

  - `status_reports` (object)

  - `stories` (object)

  - `story_allocation_days` (object)

  - `submissions` (object)

  - `survey_answers` (object)

  - `survey_questions` (object)

  - `survey_responses` (object)

  - `survey_templates` (object)

  - `time_entries` (object)

  - `time_off_entries` (object)

  - `users` (object)

  - `vendors` (object)

  - `workspaces` (object)

  - `workspace_allocations` (object)

  - `workspace_groups` (object)

  - `workspace_resources` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


